<template>
    <div class="w-100 _loc">
        <div class="_page_header">
            <h1 class="text-white _title mb-1 text-center">Buy Cardboard Baling wire in The <span>United States</span></h1>
            <p class="raleway">
                <nuxt-link to="/single-loop-bale-ties">
                    Single Loop Bale Ties,
                </nuxt-link>
                <nuxt-link to="/single-loop-bale-ties">
                      Double Loop Bale Ties,
                </nuxt-link>
                <nuxt-link to="/black-annealed-box-wire">
                    Auto Tie Coiled Box Wire,
                </nuxt-link>
                <nuxt-link to="/hi-ten-galvanized-stem-wire">
                    Auto Tie Stem/Carrier Wire,
                </nuxt-link>
                <br>Galvanized Hi-Tensile and Super Hi-Tensile Wire.
            </p>
        </div>
        <div class="_state_list">
            <v-flex align-center justify-center flex-column v-if="!lodingStates">
                <h1 class="text-uppercase">States</h1>
                <v-divider mb-20 mt-20></v-divider>
                <v-layout wrap row>

                    <v-flex
                        v-for="state in states" 
                        :key="state.id"
                        sm6 xs12 md4 lg3
                    >
                        <v-card class="full ma-3">
                            <v-card-title>Buy Cardboard Baling Wire in {{ state.state_name }}</v-card-title>
                            <v-card-text class="pt-0">
                                <ul>
                                    <li v-for="city in state.city" :key="city.id_city">
                                        <nuxt-link 
                                            :to="'/location/' + city.page_url"
                                            class="city_name"
                                        >
                                            {{ city.city_name }}
                                        </nuxt-link>
                                    </li>
                                </ul>
                            </v-card-text>
                        </v-card>
                        
                    </v-flex>
                </v-layout>
            </v-flex>
            <v-flex v-else align-center justify-center pa-4>
                <v-progress-circular
                    :width="3"
                    :size="50"
                    color="#525252"
                    indeterminate
                ></v-progress-circular>
            </v-flex>
        </div>
    </div>
</template>
<script>
import axios from 'axios';
export default {
    data () {
        return {
            opened_panel: [true, true, true],
            states: [],
            lodingStates: false,
        }
    },
    asyncData (context) {
        var store = context.store;
        var api_key = store.state.api_key;
        if (!process.browser) {
          var url = store.state.api_domain + '?comp=process&action=getStatesList'+ '&api=' + api_key;
        } else {
          var url = store.state.api_domain + '?comp=process&action=getStatesList';
        }

        return axios.get(url)
        .then((res) => {
            if (res.data) {
                return {
                  loadingState: false,
                  states: res.data
                }
            }
        });
    },
    methods: {
        openLocation: function (page_url) {
            this.$router.push('/locations/baling-wire-location/' + page_url);
        }
    },
    head() {
        return {
            title: 'United States Baling Wire Dealers and Suppliers',
            meta: [
                {hid: 'description', name: 'description', content: 'Baling wire suppliers and dealers in united states'},
                {hid: 'keywords', name: 'keywords', content: 'baling wire suppliers in united states, baling wire suppliers'}
            ]
        }
    }
}
</script>
